Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile
Interface FlatContentReceiver

All Known Implementing Classes:
  FlatContentValidator, FlatRecordReceiverAdaptor, NonDelimitedFlatContentReceiver

    public interface FlatContentReceiver

Method Summary
`void` | `commentLine(byte[] data, int start, int length)`
`void` | `data(RecordInput recordInput)`
`void` | `delimiter(byte[] data, int start, int length)`
`void` | `endBody()`
`void` | `endFlatFile()`
`void` | `endHeader()`
`void` | `endRecord()`
`void` | `endTrailer()`
`void` | `ignorableWhitespace(byte[] data, int start, int length)`
`void` | `lineContinuation(byte[] data, int start, int length)`
`void` | `startBody()`
`void` | `startFlatFile()`
`void` | `startHeader()`
`void` | `startRecord()`
`void` | `startTrailer()`

Method Detail

### startFlatFile

    void startFlatFile()

### endFlatFile

    void endFlatFile()

### startHeader

    void startHeader()

### endHeader

    void endHeader()

### startBody

    void startBody()

### endBody

    void endBody()

### startTrailer

    void startTrailer()

### endTrailer

    void endTrailer()

### startRecord

    void startRecord()

### endRecord

    void endRecord()

### data

    void data(RecordInput recordInput)

### delimiter

    void delimiter(byte[] data,
                   int start,
                   int length)

### lineContinuation

    void lineContinuation(byte[] data,
                          int start,
                          int length)

### ignorableWhitespace

    void ignorableWhitespace(byte[] data,
                             int start,
                             int length)

### commentLine

    void commentLine(byte[] data,
                     int start,
                     int length)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD